﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration;
using System.Data.Services.Client;
using System.Linq;
using System.Windows.Controls;
using AyurvedaUI.AyurvedaService;

namespace AyurvedaUI
{
    /// <summary>
    /// Interaction logic for PlantSearch.xaml
    /// </summary>
    public partial class PlantSearch : UserControl
    {
        private readonly DataServiceContext context = new DataServiceContext(new Uri(ConfigurationSettings.AppSettings["AyurvedaServiceURI"]));
        private readonly AyurvedaEntities entity = new AyurvedaEntities(new Uri(ConfigurationSettings.AppSettings["AyurvedaServiceURI"]));
        private List<Months> monthList;

        public PlantSearch()
        {
            InitializeComponent();
            CallServiceBackgroundWorker(this);
        }

        private static void CallServiceBackgroundWorker(PlantSearch win)
        {
            var bw = new BackgroundWorker();
            bw.DoWork += BackgroundWorker_DoWork;
            bw.RunWorkerCompleted += win.BackgroundWorker_RunWorkerCompleted;
            bw.RunWorkerAsync(win);
        }

        private static void BackgroundWorker_DoWork(object sender, DoWorkEventArgs e)
        {
            var win = e.Argument as PlantSearch;
            if (win != null)
            {
                win.monthList = (from months in win.entity.Months select months).ToList();
            }
        }

        private void BackgroundWorker_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e)
        {
            cbCroppingMonth.ItemsSource = monthList;
            cbCroppingMonth.DisplayMemberPath = "Name";

            cbFloweringMonth.ItemsSource = monthList;
            cbFloweringMonth.DisplayMemberPath = "Name";

            cbSowingMonth.ItemsSource = monthList;
            cbSowingMonth.DisplayMemberPath = "Name";
        }
    }
}
